summaryrefslogtreecommitdiff
path: root/debian/icc-utils.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/icc-utils.preinst')
-rw-r--r--debian/icc-utils.preinst32
1 files changed, 32 insertions, 0 deletions
diff --git a/debian/icc-utils.preinst b/debian/icc-utils.preinst
new file mode 100644
index 0000000..98e4723
--- /dev/null
+++ b/debian/icc-utils.preinst
@@ -0,0 +1,32 @@
+#!/bin/sh
+# preinst script for icc-utils
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade|abort-upgrade)
+ dpkg-maintscript-helper symlink_to_dir /usr/share/doc/icc-utils /usr/share/doc/argyll-doc 1.6.3-2~ -- "$@"
+ ;;
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0